# Generated by rust2rpm, edited by hand
# No tests yet :(
%bcond_without check
%bcond_without cratesio

%global crate wgconfd

Name:           rust-%{crate}
Version:        0.3.0
Release:        1%{?dist}
Summary:        A configuration manager for WireGuard

# Upstream license specification: LGPL-3.0-or-later
License:        LGPLv3+

URL:            https://git.venev.name/hristo/wgconfd
%if %{with cratesio}
Source:         %{crates_source}
%else
Source:         %{crate}-%{version}.tar.xz
%endif

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging systemd-rpm-macros
BuildRequires:  (crate(arrayref/default) >= 0.3.6 with crate(arrayref/default) < 0.4.0)
BuildRequires:  (crate(base64/default) >= 0.11.0 with crate(base64/default) < 0.12.0)
BuildRequires:  (crate(chrono/std) >= 0.4.6 with crate(chrono/std) < 0.5.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
BuildRequires:  (crate(toml/default) >= 0.5.6 with crate(toml/default) < 0.6.0)

BuildRequires:  scdoc

%global _description \
wgconfd is a configuration manager for WireGuard.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Requires:       /usr/bin/curl
Requires:       /usr/bin/wg

%description -n %{crate} %{_description}

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
sed -i 's@^\(ExecStart=\)/usr/bin/env wgconfd @\1%{_bindir}/wgconfd @' dist/systemd/wgconfd@.service
%cargo_prep

%build
%cargo_build
%make_build -C man

%install
%cargo_install
install -p -D -m 0644 -t $RPM_BUILD_ROOT%{_unitdir} dist/systemd/wgconfd@.service
install -p -D -m 0644 -t $RPM_BUILD_ROOT%{_unitdir} dist/systemd/wgconfd-state@.service
install -p -D -m 0644 -t $RPM_BUILD_ROOT%{_mandir}/man5 man/*.5
install -p -D -m 0644 -t $RPM_BUILD_ROOT%{_mandir}/man8 man/*.8

%if %{with check}
%check
%cargo_test
%endif

%files -n %{crate}
%{_bindir}/wgconfd
%{_unitdir}/wgconfd@.service
%{_unitdir}/wgconfd-state@.service
%_mandir/*/*
%doc README.md
%license LICENSE LICENSE.GPL3
%ghost %attr(0755,root,root) %dir /run/wgconfd
%ghost %attr(0755,root,root) %dir /var/cache/wgconfd

%changelog
* Wed Feb 5 14:11:43 BST 2020 Hristo Venev <hristo@venev.name> - 0.3.0-1
- Update to 0.3.0

* Mon Sep 30 16:11:16 EEST 2019 Hristo Venev <hristo@venev.name> - 0.2.1-1
- Update to 0.2.1.

* Sun Sep 29 18:06:37 EEST 2019 Hristo Venev <hristo@venev.name> - 0.2.0-1
- Update to 0.2.0.

* Fri May 17 18:19:14 BST 2019 Hristo Venev <hristo@venev.name> - 0.1.2-1
- Update to 0.1.2.

* Tue Apr 02 16:09:43 EEST 2019 Hristo Venev <hristo@venev.name> - 0.1.1-1
- Initial package
